package org.bench4q.master.domain;

import java.util.UUID;

import org.bench4q.master.domain.entity.Agent;
import org.bench4q.share.models.agent.TestBriefStatusModel;

public interface RunningAgentInterface {
	public Agent getAgent();

	public int getLoadInUse();

	public int getScriptId();

	public UUID getAgentRunId();

	public boolean isBreakDown();

	public boolean hasSubstitute();

	public void substituteOnBoard();

	public RunningScriptInterface getRunningScript();

	public TestBriefStatusModel briefAll();

	public boolean stop();

	public RunningAgentInterface completeWithRunningScript(
			RunningScriptInterface runningScript);

}
